package com.fjhx.service.working;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.working.WorkingRoute;
import com.fjhx.params.working.WorkingRouteEx;
import com.fjhx.params.working.WorkingRouteVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 * 工艺路线 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-14
 */
public interface WorkingRouteService extends BaseService<WorkingRoute> {

    Page<WorkingRouteEx> getPage(Map<String, String> condition);

    void add(WorkingRouteVo workingRouteVo);

    void edit(WorkingRouteVo workingRouteVo);

    void delete(WorkingRouteVo workingRouteVo);

    WorkingRouteEx details(WorkingRouteVo workingRouteVo);

}
